POST
/api/integrations/google-idp/{id}/syncSync Google IDP Integration
Triggers a manual synchronization for a Google IDP integration.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
idintegerrequired
The unique identifier of the Google IDP integration.
200Sync triggered successfully.
resultstringoptional
400Bad Request (e.g., invalid integration ID format).
messagestringoptional
A human-readable error message.
401Unauthorized.
messagestringoptional
A human-readable error message.
404Not Found.
messagestringoptional
A human-readable error message.
500Internal Server Error.
messagestringoptional
A human-readable error message.
Error handling
A 400 is returned: Bad Request (e.g., invalid integration ID format). A 401 is returned: Unauthorized. A 404 is returned: Not Found. A 500 is returned: Internal Server Error.